Skip to main content
POST
/
v2
/
insights
/
routings
/
form-responses
Get routing form responses
curl --request POST \
  --url https://api.cal.com/v2/insights/routings/form-responses \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "scope": "user",
  "startDate": "2024-01-01",
  "endDate": "2024-01-31",
  "offset": 0,
  "limit": 50,
  "selectedTeamId": 12,
  "columnFilters": [
    {
      "id": "createdAt",
      "value": {
        "type": "dr",
        "data": {
          "startDate": "2024-01-01",
          "endDate": "2024-01-31",
          "preset": "custom"
        }
      }
    }
  ],
  "sorting": [
    {
      "id": "createdAt",
      "desc": true
    }
  ]
}
'
{
  "status": "success",
  "data": {
    "total": 10,
    "data": [
      {
        "id": 1,
        "uuid": "form_123",
        "formId": "form_123",
        "formName": "Contact Sales",
        "formTeamId": 10,
        "formUserId": 101,
        "bookingUid": "booking_uid",
        "bookingId": 1,
        "bookingStatus": "ACCEPTED",
        "bookingStatusOrder": 1,
        "bookingCreatedAt": "2024-01-01T00:00:00.000Z",
        "bookingUserId": 101,
        "bookingUserName": "Alice Doe",
        "bookingUserEmail": "[email protected]",
        "bookingUserAvatarUrl": "https://example.com/avatar.png",
        "bookingAssignmentReason": "round_robin",
        "bookingStartTime": "2024-01-01T09:00:00.000Z",
        "bookingEndTime": "2024-01-01T09:30:00.000Z",
        "eventTypeId": 200,
        "eventTypeParentId": null,
        "eventTypeSchedulingType": "ROUND_ROBIN",
        "createdAt": "2024-01-01T00:00:00.000Z",
        "utm_source": "google",
        "utm_medium": "cpc",
        "utm_campaign": "spring_launch",
        "utm_term": "calendar scheduling",
        "utm_content": "hero_cta",
        "bookingAttendees": [
          {
            "name": "Jane Doe",
            "timeZone": "Europe/London",
            "email": "[email protected]",
            "phoneNumber": null
          }
        ],
        "fields": [
          {
            "fieldId": "company-size",
            "valueString": "Enterprise",
            "valueNumber": 100,
            "valueStringArray": [
              "Enterprise",
              "Mid Market"
            ]
          }
        ]
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
scope
enum<string>
required
Available options:
user,
team,
org
Example:

"user"

startDate
string
required

Inclusive start date for routing insights

Example:

"2024-01-01"

endDate
string
required

Inclusive end date for routing insights

Example:

"2024-01-31"

offset
number
required
Example:

0

limit
number
required
Required range: x <= 100
Example:

50

selectedTeamId
number

Team ID for team-scoped routing insights

Example:

12

columnFilters
object[]

Data-table column filters (discriminated union by type: ss, ms, t, n, dr). Date range filters use id=createdAt.

Example:
[
{
"id": "createdAt",
"value": {
"type": "dr",
"data": {
"startDate": "2024-01-01",
"endDate": "2024-01-31",
"preset": "custom"
}
}
}
]
sorting
array
Example:
[{ "id": "createdAt", "desc": true }]

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required